GDCMINFO(1)

NAME
gdcminfo - Display meta info about the input DICOM file.

SYNOPSIS

gdcminfo [options] [file-in/dir-in...]

DESCRIPTION

The gdcminfo command line program takes as input a DICOM file, or a directory and process it to extract meta-information about the DICOM file(s) processed.

PARAMETERS

    file-in/dir-in   DICOM input filename/dirname

OPTIONS

  specific options

      -r --recursive          recursive traversal of an input directory
      -d --check-deflated     check if file is proper deflated syntax.
         --resources-path     Resources path.
         --md5sum             Compute md5sum of Pixel Data attribute value.
         --check-compression  check the encapsulated stream compression (lossless/lossy).
         --force-rescale    force rescale.
         --force-spacing    force spacing.
         --mosaic           dump image information of MOSAIC.

  general options

      -h   --help
             print this help text and exit

      -v   --version
             print version information and exit

      -V   --verbose
             verbose mode (warning+error).

      -W   --warning
             warning mode, print warning information

      -E   --error
             error mode, print error information

      -D   --debug
             debug mode, print debug information

  environment variable

GDCM_RESOURCES_PATH path pointing to resources files (Part3.xml, ...)

SIMPLE USAGE

  gdcmData

Using data from gdcmData:

    $ gdcminfo gdcmData/012345.002.050.dcm

    MediaStorage is 1.2.840.10008.5.1.4.1.1.4 [MR Image Storage]
    NumberOfDimensions: 2
    Dimensions: (256,256)
    Origin: (-85,21.6,108.7)
    Spacing: (0.664062,0.664062,1.5)
    DirectionCosines: (1,0,0,0,0,-1)
    Rescale Intercept/Slope: (0,1)
    SamplesPerPixel    :1
    BitsAllocated      :16
    BitsStored         :16
    HighBit            :15
    PixelRepresentation:1
    Orientation Label: CORONAL

  Davie Clunie datasets:

Using data from David Clunie datasets:

    $ gdcminfo BRTUM001.dcm

    MediaStorage is 1.2.840.10008.5.1.4.1.1.4.1 [Enhanced MR Image Storage]
    NumberOfDimensions: 3
    Dimensions: (256,256,15)
    Origin: (40,-105,105)
    Spacing: (0.820312,0.820312,6)
    DirectionCosines: (0,1,0,0,0,-1)
    Rescale Intercept/Slope: (0,1)
    SamplesPerPixel    :1
    BitsAllocated      :16
    BitsStored         :16
    HighBit            :15
    PixelRepresentation:1
    Orientation Label: SAGITTAL

  Checking the md5sum of the Pixel Data

After compressing a DICOM file (see gdcmconv) using a lossless compression algorithm, it is fairly easy to compare the two files for differences at DICOM attribute level. However one operation is slightly easier to do: how to make sure the compression was actually lossless ? In this case one could use the –md5sum operation.

Take an uncompressed DICOM image file:

    $ gdcminfo --md5sum SIEMENS_ImageLocationUN.dcm

The tool return: 0621954acd5815e0b4f7b65fcc6506b1

Now compress this file:

    $ gdcmconv --jpegls SIEMENS_ImageLocationUN.dcm lossless_compressed.dcm

and then check again the md5sum:

    $ gdcminfo --md5sum lossless_compressed.dcm

The tool return: 0621954acd5815e0b4f7b65fcc6506b1

  Checking if Pixel Data is lossless

In some environment one wish to check whether or not the DICOM file is lossless. It is fairly easy to do that in most cases. Only on two occasions this is not clear from the sole DICOM Attributes. When the Transfer Syntax is JPEG 2000 Image Compression (1.2.840.10008.1.2.4.91) and when the Transfer Syntax is JPEG-LS Lossy (Near-Lossless) Image Compression (1.2.840.10008.1.2.4.81).

In this case, the only solution is to open the Pixel Data element, read the specific JPEG header and check whether or not the JPEG transformation was lossless or not:

    $ gdcminfo --check-compression gdcmData/MAROTECH_CT_JP2Lossy.dcm

The tool returns: “Encapsulated Stream was found to be: lossy”

Pay attention that this tool also checks the Image Lossy Compression attribute (0028,2110). This means --check-compression will also returns a value of lossy if a predecessor was found to be lossy compressed.

CHECKING IMAGE AS IF MOSAIC

Dump the image as if MOSAIC. If the input is really MOSAIC image, then print the information of the true underlying MOSAIC volume.

    $ gdcminfo --mosaic siemens_mosaic.dcm

SEE ALSO

gdcmdump(1), gdcmraw(1), gdcmconv(1)

AUTHOR

Mathieu Malaterre
    Main developer

COPYRIGHT
Copyright © 2006, 2011 Mathieu Malaterre